
<div class="section-subtitle uppercase"><?=__('blacklist')?></div>

<div class="box-section inputs-container blacklist-page add-blacklist-item-form-wrapper">
	
    <? if ($this->type === 'clients'): ?>
		<p class="text-grey" style="font-size: 16px;line-height: 18px;"><?=__('blacklisted_clients_desc')?></p>
    <? else: ?>
		<p class="text-grey" style="font-size: 16px;line-height: 18px;"><?=__('blacklisted_hotels_desc')?></p>
    <? endif; ?>

    <div class="clear mb-10"></div>
    <div class="d-flex justify-content-end">
        <div href="#" class="btn btn-big btn-blue-dark btn-bold uppercase show-form"><?= __('add') ?></div>
	</div>
	<div class="clear mb-10"></div>

	<div class="errors-container mt-10" id="errors-container" style="display: none;">
        <div class="section-subtitle uppercase">
            <?= __('errors') ?>
        </div>
        <div class="box-section">
            <ol>
                <li class="visible-on-error">
                    <p id="validation-country"></p>
				</li>
				<li class="visible-on-error">
                    <p id="validation-country_id"></p>
				</li>
				<li class="visible-on-error">
                    <p id="validation-date"></p>
				</li>
				<li class="visible-on-error">
                    <p id="validation-phone"></p>
				</li>
				<li class="visible-on-error">
                    <p id="validation-comment"></p>
				</li>
            </ol>
        </div>
    </div>
	
	<form id="add-to-blacklist" action="/client-hotel-blacklist/<?= $this->type ?>/add" method="POST"  style="display: none;">
	
		<input value="<?= session_id() ?>" type="hidden" id="sess_name"/>
		<input type="hidden" value="<?= $this->type ?>" name="bl_type" class="bl-type" />

		<div class="form-container">
			<div class="d-flex div-2-cols">
				<div
					class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
					<div class="dropdown">
						<select class="single-option-select d-none" id="country-select" name="country_id">
							<? foreach ( $this->countries as $country ): ?>
								<option value="<?= $country->id ?>"><?= $country->title ?></option>
							<? endforeach; ?>
						</select>
						<a class="dropdown-toggle" id="country-dropdown" data-toggle="dropdown" aria-haspopup="true"
							aria-expanded="false">
							<label><?= __('country') ?></label>
							<span class="dropdown-toggle-val uppercase">
								<span class="nothing-selected"><?= __('nothing_selected') ?></span>
							</span>
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="country-dropdown">
							<? foreach ( $this->countries as $country ): ?>
								<li data-val="<?= $country->id ?>"><a href="javascript:void(0)"><?= $country->title ?></a></li>
							<? endforeach; ?>
						</ul>
					</div>
				</div>

				<div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
					<div class="dropdown">
						<select class="single-option-select d-none" name="city_id" id="city-select">
						</select>
						<a class="dropdown-toggle" id="city-dropdown" data-toggle="dropdown" aria-haspopup="true"
							aria-expanded="false">
							<label><?= __('city') ?></label>
							<span class="dropdown-toggle-val uppercase">
								<span class="nothing-selected"><?= __('nothing_selected') ?></span>
							</span>
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="city-dropdown">
						</ul>
					</div>
				</div>
			</div>
			<div class="d-flex div-2-cols">

				<div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
					<input name="date" type="text" class="date" placeholder="<?= __('date') ?>">
				</div>

				<div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
					<input type="text" name="phone" placeholder="<?= __('pv2_label_phone_number') ?>">
				</div>
			</div>
			<div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
				<input type="text" class="txt"  name="name" placeholder="<?= $this->type === 'clients' ? __('client_name') : __('hotel_name') ?>">
			</div>
			<div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
				<label class="mobile"><?= __('comment') ?></label>
				<textarea class="gray" placeholder="<?= __('comment') ?>"  name="comment"></textarea>

			</div>
			<div class="clear mb-30"></div>
			<div class="d-flex justify-content-end align-items-center">
				<div class="uppercase text-grey mr-30 hide-form"><?= __('cancel') ?></div>
				<button class="btn btn-big btn-blue-dark btn-bold uppercase add-to-blacklist"><?= __('save') ?></button>
            </div>
		</div>
	</form>
</div>
<div class="clear mb-20"></div>

	<? if ($this->type === 'clients'): ?>
		<div class="section-subtitle uppercase"><?=__('blacklisted_clients')?></div>
	<? else: ?>
		<div class="section-subtitle uppercase"><?=__('blacklisted_hotels')?></div>
	<? endif; ?>

<div class="box-section">
    <form method="POST" id="search-form">
		<div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
			<input type="text" value="<?= $this->search_str ?>" name="search_str" placeholder="<?= __('search_after_phone_num_name_free_text') ?>">
			<input type="hidden" value="<?= $this->type ?>" name="type" />
		</div>
	</form>
    <div class="clear mb-40"></div>
    <div class="black-list-container">
		<? foreach ( $this->result as $res ): ?>
			<div class="black-list-item">
				<div class="d-flex">
					<p class="item-name"><?= $res['name'] ?></p>
					<p class="text-grey ml-10"><?= date("d M Y", $res['date']) ?></p>
				</div>
				<p class="text-grey"><?= $res['country_title'] ?>, <?= $res['city_title'] ?> / <?= $res['phone'] ?></p>
				<div class="clear mb-10"></div>
				<p><?= $res['comment'] ?></p>

				<? if (!empty($res['images']) && $res['type'] == 'clients'): ?>
					<div class="blacklist-image-block">
						<? foreach($res['images'] as $bl_image): ?>
						<? $bl_image = new Cubix_ImagesCommonItem($bl_image); ?>
							<a class="highslide" target="_blank" href="<?= $bl_image->getUrl('orig',true); ?>"><img src="<?= $bl_image->getUrl('lvthumb', true)?>"></a>
						<? endforeach; ?>
					</div>
				<? endif; ?>

			</div>
		<? endforeach; ?>
    </div>
	<div class="clear mb-40"></div>


	<? $pages_count = ceil($this->count / $this->per_page); ?>
	<? if( $pages_count != 1 ): ?>
	<? $pages = $this->paging($this->count, $this->page, $this->per_page, 7, 3); ?>

    <div class="pagination-container d-flex justify-content-sm-center justify-content-md-between align-items-center">
        <div class="pagination d-flex align-items-center">

			<? if ( 1 < $this->page): ?>
				<a href="#" class="first grey uppercase pagination-link" data-clear-params="false" data-type="<?= $this->type ?>" data-page="1" ><?= __('first') ?></a>
			<? endif ?>

			<? foreach ( $pages as $page ): ?>
                <? if($this->page > 1 && $page == 1) continue; ?>
                <? if ( $this->page == $page ): ?>
                    <span class="p-2"><b><?= $page ?></b></span>
				<? else: ?>
					<a href="#" data-clear-params="false" data-page="<?= $page ?>" data-type="<?= $this->type ?>" class="page-number pagination-link grey"><?= $page ?></a>
				<? endif ?>
			<? endforeach; ?>

		</div>

		<? if ( $pages_count > $this->page): ?>
			<a class="btn btn-brown uppercase pagination-link" data-clear-params="false" data-type="<?= $this->type ?>" data-page="<?= $this->page + 1 ?>" ><?= __('next_page') ?></a>
		<? endif ?>
	</div>
	
	<? endif ?>

</div>
<div class="clear mb-30"></div>